package com.bytedance.android.livesdk.model.message;

import com.bytedance.android.live.base.model.ImageModel;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public final class PublicAreaCommon {
    public static final Long LIZ = 0L;
    @c(LIZ = "user_label")
    public ImageModel LIZIZ;
    @c(LIZ = "user_consume_in_room")
    public Long LIZJ;

    static {
        Covode.recordClassIndex(19125);
    }

    public final String toString() {
        StringBuilder sb = new StringBuilder();
        if (this.LIZIZ != null) {
            sb.append(", user_label=");
            sb.append(this.LIZIZ);
        }
        if (this.LIZJ != null) {
            sb.append(", user_consume_in_room=");
            sb.append(this.LIZJ);
        }
        sb.replace(0, 2, "PublicAreaCommon{");
        sb.append('}');
        return sb.toString();
    }
}
